Name:                ranger
Version:             1.9.3
Release:             1
Summary:             A vim-like file manager
License:             GPLv3+
URL:                 https://ranger.github.io/
Source0:             https://github.com/%{name}/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:           noarch
BuildRequires:       desktop-file-utils python3-devel python3-setuptools
%description
Ranger is a free console file manager that gives you greater flexibility and a
good overview of your files without having to leave your *nix console. It
visualizes the directory tree in two dimensions: the directory hierarchy on
one, lists of files on the other, with a preview to the right so you know where
you'll be going.

%prep
%autosetup
sed -i -e '1d;2i#!/usr/bin/python3' %{name}.py

%build
%py3_build

%install
%py3_install
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
mv %{buildroot}%{_pkgdocdir} _doc
find _doc -type f -exec chmod -R -x '{}' \;

%files
%license LICENSE
%doc _doc/*
%{_bindir}/ranger
%{_bindir}/rifle
%{python3_sitelib}/*
%{_datadir}/applications/ranger.desktop
%{_mandir}/man1/ranger.1*
%{_mandir}/man1/rifle.1*

%changelog
* Wed Jul 21 2021 xuping <xuping33@huawei.com> - 1.9.3-1
- package init
